> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.usebridge.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.usebridge.com/_mcp/server.

# Create Note Addendum

POST https://app.usebridge.com/api/notes/{id}/addenda
Content-Type: application/json

Reference: https://docs.usebridge.com/api/api-reference/notes/create-note-addendum

## Authentication

- `X-API-Key` header (required) — API Key authentication via header

## Servers

- `https://app.usebridge.com` (Production, default)
- `https://app.usebridge.xyz` (Sandbox)

## Request

### Path parameters

- `id` (string, required)

### Body (application/json)

This endpoint expects a Note AddendumCreateV1Request.

- `data` (NoteAddendumCreateV1RequestData, required)
- `signature` (NoteAddendumCreateV1RequestSignature, required)
- `externalId` (string, optional)

## Response

### 200

- `id` (string, required)
- `createdAt` (datetime, required)
- `data` (NoteAddendumCreateV1ResponseData, required)
- `signature` (NoteAddendumCreateV1ResponseSignature, required)
- `externalId` (string, optional)

## Types

### NoteAddendumCreateV1RequestData

- `PATIENT_NAME` (string, optional)
- `ICD10` (list of string, optional)
- `MEDICATIONS` (list of string, optional) — Array of medication names (e.g., ['Metformin 500mg', 'Lisinopril 10mg'])
- `ALLERGIES` (list of string, optional) — Array of allergies (e.g., ['Penicillin', 'Peanuts'])
- `SUBJECTIVE` (string, optional)
- `OBJECTIVE` (string, optional)
- `ASSESSMENT` (string, optional)
- `TEXT` (string, optional)
- `PLAN` (string, optional)
- `DIAGNOSIS` (string, optional)
- `INTERVENTION` (string, optional)
- `MONITORING_AND_EVALUATION` (string, optional)
- `TELEHEALTH_DISCLAIMER` (string, optional)
- `TOTAL_TIME_SPENT` (string, optional) — Written description of time spent. Example: '10min spent preparing, 20min spent in visit, 5min spent documenting'
- `INDIVIDUAL_TIME_SPENT_MINUTES` (integer, optional)
- `TIME_SPENT_MINUTES` (integer, optional)
- `THERAPY_TIME_SPENT_MINUTES` (integer, optional)
- `SMA_GROUP_SIZE` (integer, optional)
- `HEIGHT` (integer, optional) — Patient height in inches (in)
- `WEIGHT` (integer, optional) — Patient weight in pounds (lb)
- `PRESCRIPTION_WRITTEN` (boolean, optional)
- `MEDICATION_MANAGED` (boolean, optional)
- `DATE_RANGE_START` (string, optional)
- `DATE_RANGE_END` (string, optional)
- `MONITORING_DATA` (list of NoteAddendumCreateV1RequestDataFieldMonitoringDatum, optional)
- `SCORED_ASSESSMENTS` (list of NoteAddendumCreateV1RequestDataFieldScoredAssessment, optional)
- `INITIATING_VISIT_DATE` (string, optional)

### NoteAddendumCreateV1RequestSignature

- `timestamp` (datetime, required)
- `providerId` (string, required)

### NoteAddendumCreateV1ResponseData

- `PATIENT_NAME` (string, optional)
- `ICD10` (list of string, optional)
- `MEDICATIONS` (list of string, optional) — Array of medication names (e.g., ['Metformin 500mg', 'Lisinopril 10mg'])
- `ALLERGIES` (list of string, optional) — Array of allergies (e.g., ['Penicillin', 'Peanuts'])
- `SUBJECTIVE` (string, optional)
- `OBJECTIVE` (string, optional)
- `ASSESSMENT` (string, optional)
- `TEXT` (string, optional)
- `PLAN` (string, optional)
- `DIAGNOSIS` (string, optional)
- `INTERVENTION` (string, optional)
- `MONITORING_AND_EVALUATION` (string, optional)
- `TELEHEALTH_DISCLAIMER` (string, optional)
- `TOTAL_TIME_SPENT` (string, optional) — Written description of time spent. Example: '10min spent preparing, 20min spent in visit, 5min spent documenting'
- `INDIVIDUAL_TIME_SPENT_MINUTES` (integer, optional)
- `TIME_SPENT_MINUTES` (integer, optional)
- `THERAPY_TIME_SPENT_MINUTES` (integer, optional)
- `SMA_GROUP_SIZE` (integer, optional)
- `HEIGHT` (integer, optional) — Patient height in inches (in)
- `WEIGHT` (integer, optional) — Patient weight in pounds (lb)
- `PRESCRIPTION_WRITTEN` (boolean, optional)
- `MEDICATION_MANAGED` (boolean, optional)
- `DATE_RANGE_START` (string, optional)
- `DATE_RANGE_END` (string, optional)
- `MONITORING_DATA` (list of NoteAddendumCreateV1ResponseDataFieldMonitoringDatum, optional)
- `SCORED_ASSESSMENTS` (list of NoteAddendumCreateV1ResponseDataFieldScoredAssessment, optional)
- `INITIATING_VISIT_DATE` (string, optional)

### NoteAddendumCreateV1ResponseSignature

- `timestamp` (datetime, required)
- `provider` (NoteAddendumCreateV1ResponseSignatureFieldProvider, required)

### NoteAddendumCreateV1RequestDataFieldMonitoringDatum

- `date` (string, required)
- `values` (list of string, required)

### NoteAddendumCreateV1RequestDataFieldScoredAssessment

- `score` (string, required)
- `type` (enum, required)
  - Allowed values: `PHQ-9`, `GAD-7`, `SDOH-PRAPARE`, `SDOH-AHC-HRSN`, `SDOH-VI-SPDAT`, `SDOH-CORE-5-SDH`, `FAST`, `CDR`, `GDS`, `MoCA`, `SLUMS`, `Epworth`, `MMSE`, `NPI-Q`, `BHEV5+`, `PHQ-2`

### NoteAddendumCreateV1ResponseDataFieldMonitoringDatum

- `date` (string, required)
- `values` (list of string, required)

### NoteAddendumCreateV1ResponseDataFieldScoredAssessment

- `score` (string, required)
- `type` (enum, required)
  - Allowed values: `PHQ-9`, `GAD-7`, `SDOH-PRAPARE`, `SDOH-AHC-HRSN`, `SDOH-VI-SPDAT`, `SDOH-CORE-5-SDH`, `FAST`, `CDR`, `GDS`, `MoCA`, `SLUMS`, `Epworth`, `MMSE`, `NPI-Q`, `BHEV5+`, `PHQ-2`

### NoteAddendumCreateV1ResponseSignatureFieldProvider

- `id` (string, required)
- `name` (string, required)
- `type` (enum, required)
  - Allowed values: `MD`, `NP`, `DO`, `ND`, `AP`, `OT`, `LCSW`, `LMFT`, `LPC`, `PSYCH`, `RN`, `CN`, `CWC`, `CM`, `PA`, `RDN`, `PT`
- `npi` (string, required)
- `externalId` (string, optional)
- `providerEligibilityEnabled` (boolean, optional)
- `serviceEligibilityEnabled` (boolean, optional)

## Examples

**Request**

```json
{
  "signature": {
    "timestamp": "2024-01-15T09:30:00Z",
    "providerId": "providerId"
  }
}
```

**Response**

```json
{
  "id": "id",
  "createdAt": "2024-01-15T09:30:00Z",
  "data": {
    "PATIENT_NAME": "PATIENT_NAME",
    "ICD10": [
      "ICD10",
      "ICD10"
    ],
    "MEDICATIONS": [
      "MEDICATIONS",
      "MEDICATIONS"
    ],
    "ALLERGIES": [
      "ALLERGIES",
      "ALLERGIES"
    ],
    "SUBJECTIVE": "SUBJECTIVE",
    "OBJECTIVE": "OBJECTIVE",
    "ASSESSMENT": "ASSESSMENT",
    "TEXT": "TEXT",
    "PLAN": "PLAN",
    "DIAGNOSIS": "DIAGNOSIS",
    "INTERVENTION": "INTERVENTION",
    "MONITORING_AND_EVALUATION": "MONITORING_AND_EVALUATION",
    "TELEHEALTH_DISCLAIMER": "TELEHEALTH_DISCLAIMER",
    "TOTAL_TIME_SPENT": "TOTAL_TIME_SPENT",
    "INDIVIDUAL_TIME_SPENT_MINUTES": 1,
    "TIME_SPENT_MINUTES": 1,
    "THERAPY_TIME_SPENT_MINUTES": 1,
    "SMA_GROUP_SIZE": 1,
    "HEIGHT": 1,
    "WEIGHT": 1,
    "PRESCRIPTION_WRITTEN": true,
    "MEDICATION_MANAGED": true,
    "DATE_RANGE_START": "DATE_RANGE_START",
    "DATE_RANGE_END": "DATE_RANGE_END",
    "MONITORING_DATA": [
      {
        "date": "date",
        "values": [
          "values",
          "values"
        ]
      },
      {
        "date": "date",
        "values": [
          "values",
          "values"
        ]
      }
    ],
    "SCORED_ASSESSMENTS": [
      {
        "score": "score",
        "type": "PHQ-9"
      },
      {
        "score": "score",
        "type": "PHQ-9"
      }
    ],
    "INITIATING_VISIT_DATE": "INITIATING_VISIT_DATE"
  },
  "signature": {
    "timestamp": "2024-01-15T09:30:00Z",
    "provider": {
      "id": "id",
      "name": "name",
      "type": "MD",
      "npi": "npi",
      "externalId": "externalId",
      "providerEligibilityEnabled": true,
      "serviceEligibilityEnabled": true
    }
  },
  "externalId": "externalId"
}
```

**SDK Code**

```python
import requests

url = "https://app.usebridge.com/api/notes/id/addenda"

payload = { "signature": {
        "timestamp": "2024-01-15T09:30:00Z",
        "providerId": "providerId"
    } }
headers = {
    "X-API-Key": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://app.usebridge.com/api/notes/id/addenda';
const options = {
  method: 'POST',
  headers: {'X-API-Key': '<apiKey>', 'Content-Type': 'application/json'},
  body: '{"signature":{"timestamp":"2024-01-15T09:30:00Z","providerId":"providerId"}}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://app.usebridge.com/api/notes/id/addenda"

	payload := strings.NewReader("{\n  \"signature\": {\n    \"timestamp\": \"2024-01-15T09:30:00Z\",\n    \"providerId\": \"providerId\"\n  }\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("X-API-Key", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://app.usebridge.com/api/notes/id/addenda")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["X-API-Key"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"signature\": {\n    \"timestamp\": \"2024-01-15T09:30:00Z\",\n    \"providerId\": \"providerId\"\n  }\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://app.usebridge.com/api/notes/id/addenda")
  .header("X-API-Key", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{\n  \"signature\": {\n    \"timestamp\": \"2024-01-15T09:30:00Z\",\n    \"providerId\": \"providerId\"\n  }\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://app.usebridge.com/api/notes/id/addenda', [
  'body' => '{
  "signature": {
    "timestamp": "2024-01-15T09:30:00Z",
    "providerId": "providerId"
  }
}',
  'headers' => [
    'Content-Type' => 'application/json',
    'X-API-Key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://app.usebridge.com/api/notes/id/addenda");
var request = new RestRequest(Method.POST);
request.AddHeader("X-API-Key", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"signature\": {\n    \"timestamp\": \"2024-01-15T09:30:00Z\",\n    \"providerId\": \"providerId\"\n  }\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "X-API-Key": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = ["signature": [
    "timestamp": "2024-01-15T09:30:00Z",
    "providerId": "providerId"
  ]] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://app.usebridge.com/api/notes/id/addenda")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```